Subject: Re: Seeking C source of in-memory compression program

From: [email-masked] (Nico de Vries [AIP-NL])
Date: Mon, 18 Jul 94 12:20:40 GMT

[email-masked] writes in article <[email-masked]>:
>
> Hello!
>
> I'm seeking a simple compression utility written in either C or C++.
> It should permit compression of a RAM area containing some ASCII text
> and store the result in another area. I.e., I need a procedure like
>
>   int compress(char *original, int originalSize, char *compressed);

LZRW1 and Finish (FTP garbo.uwasa.fi:/pc/programming/lds_11.zip.) both
work OK in memory. Both sources in LDS already allow memory to memory
(de)compression.

> Any hint is appreciated!
> silvano

Take care,

     Nico de Vries   [AIP-NL, UltraCompressor II development]